CVC4::options::bitvectorInequalitySolver__option_t Struct Reference

`#include <options.h>`

## Public Types

typedef bool | type

## Public Member Functions

type | operator() () const
bool | wasSetByUser () const
void | set (const type &v)

## Detailed Description

Definition at line 116 of file options.h.

## Member Typedef Documentation

## type

typedef bool CVC4::options::bitvectorInequalitySolver__option_t::type

Definition at line 116 of file options.h.

## Member Function Documentation

## operator()()

bitvectorInequalitySolver__option_t::type CVC4::options::bitvectorInequalitySolver__option_t::operator() | ( |  | ) | const

inline

Definition at line 320 of file options.h.

References CVC4::Options::current().

## set()

void CVC4::options::bitvectorInequalitySolver__option_t::set | ( | const type & | v | ) |

inline

Definition at line 324 of file options.h.

References CVC4::Options::current(), and CVC4::Options::set().

## wasSetByUser()

bool CVC4::options::bitvectorInequalitySolver__option_t::wasSetByUser | ( |  | ) | const

inline

Definition at line 322 of file options.h.

References CVC4::Options::current(), and CVC4::Options::wasSetByUser().

The documentation for this struct was generated from the following file:

- src/theory/bv/options.h